> For the complete documentation index, see [llms.txt](https://docs.sigrex.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sigrex.io/api-reference/reference/strategies/llm-sessions.md).

# LLM Sessions

## GET /api/v2/strategy/llm-session

> Get all LLM sessions

```json
{"openapi":"3.0.0","info":{"title":"Sigrex API","version":"2.1.0"},"tags":[{"name":"llm-session"}],"servers":[{"url":"https://api.sigrex.io"}],"security":[{"ApiKey":[],"Signature":[],"Timestamp":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"api-key","description":"Your public API key"}},"schemas":{}},"paths":{"/api/v2/strategy/llm-session":{"get":{"summary":"Get all LLM sessions","tags":["llm-session"],"responses":{"200":{"description":"List of user's LLM sessions","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/LLMSession"}}}}}}}}}}
```

## POST /api/v2/strategy/llm-session

> Create a new LLM session

```json
{"openapi":"3.0.0","info":{"title":"Sigrex API","version":"2.1.0"},"tags":[{"name":"llm-session"}],"servers":[{"url":"https://api.sigrex.io"}],"security":[{"ApiKey":[],"Signature":[],"Timestamp":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"api-key","description":"Your public API key"}},"schemas":{"CreateLLMSessionRequest":{"type":"object","required":["llm_api_id","cron_interval","prompt"],"properties":{"name":{"type":"string","description":"The name of the strategy max 255 characters"},"folder_id":{"type":"number","description":"The folder id of the strategy"},"llm_api_id":{"type":"number","description":"The main LLM Api key id used for the strategy"},"fallback_api_id":{"type":"number","description":"The fallback LLM Api key id used for the strategy if main is not available"},"cron_interval":{"type":"string","description":"The schedule interval of the strategy","enum":["3M","5M","15M","30M","1H","2H","4H","8H","12H","1D"]},"use_chart":{"type":"boolean","description":"Set true if you want to send chart image with the strategy prompt"},"chart_symbol":{"type":"string","description":"The Tradingview symbol of the chart (required if use_chart is true)"},"chart_interval":{"type":"string","description":"The interval of the chart (required if use_chart is true)","enum":["1","3","5","15","30","60","120","240","D"]},"chart_studies":{"type":"array","description":"The studies of the chart (optional if use_chart is true)","maxItems":2,"items":{"type":"string","enum":["ACCD@tv-basicstudies","studyADR@tv-basicstudies","AROON@tv-basicstudies","ATR@tv-basicstudies","AwesomeOscillator@tv-basicstudies","BB@tv-basicstudies","BollingerBandsR@tv-basicstudies","BollingerBandsWidth@tv-basicstudies","CMF@tv-basicstudies","ChaikinOscillator@tv-basicstudies","chandeMO@tv-basicstudies","ChoppinessIndex@tv-basicstudies","CCI@tv-basicstudies","CRSI@tv-basicstudies","CorrelationCoefficient@tv-basicstudies","DetrendedPriceOscillator@tv-basicstudies","DM@tv-basicstudies","DONCH@tv-basicstudies","DoubleEMA@tv-basicstudies","EaseOfMovement@tv-basicstudies","EFI@tv-basicstudies","ENV@tv-basicstudies","FisherTransform@tv-basicstudies","HV@tv-basicstudies","hullMA@tv-basicstudies","IchimokuCloud@tv-basicstudies","KLTNR@tv-basicstudies","KST@tv-basicstudies","LinearRegression@tv-basicstudies","MACD@tv-basicstudies","MOM@tv-basicstudies","MF@tv-basicstudies","MoonPhases@tv-basicstudies","MASimple@tv-basicstudies","MAExp@tv-basicstudies","MAWeighted@tv-basicstudies","OBV@tv-basicstudies","PSAR@tv-basicstudies","PivotPointsHighLow@tv-basicstudies","PivotPointsStandard@tv-basicstudies","PriceOsc@tv-basicstudies","PriceVolumeTrend@tv-basicstudies","ROC@tv-basicstudies","RSI@tv-basicstudies","VigorIndex@tv-basicstudies","VolatilityIndex@tv-basicstudies","SMIErgodicIndicator@tv-basicstudies","SMIErgodicOscillator@tv-basicstudies","Stochastic@tv-basicstudies","StochasticRSI@tv-basicstudies","TripleEMA@tv-basicstudies","Trix@tv-basicstudies","UltimateOsc@tv-basicstudies","VSTOP@tv-basicstudies","Volume@tv-basicstudies","VWAP@tv-basicstudies","MAVolumeWeighted@tv-basicstudies","WilliamR@tv-basicstudies","WilliamsAlligator@tv-basicstudies","WilliamsFractal@tv-basicstudies","ZigZag@tv-basicstudies"]}},"chart_data_range":{"type":"string","description":"The data range of the chart (optional if use_chart is true)","enum":["1D","5D","1M","3M","6M","YTD","12M","60M","ALL"]},"prompt":{"type":"string","description":"The strategy prompt minimum length is 20 characters maximum length is 1000000000 characters"},"send_signal":{"type":"boolean","description":"Set true to send signal to bot hook"},"webhook_id":{"type":"number","description":"The id of the bot hook where signal will be sent (required if send_signal is true)"},"signal_symbol":{"type":"string","description":"The signal symbol or symbols of the strategy separated by comma"},"send_email":{"type":"boolean","description":"Set true to send the LLM response to the user email"}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/api/v2/strategy/llm-session":{"post":{"summary":"Create a new LLM session","tags":["llm-session"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateLLMSessionRequest"}}}},"responses":{"201":{"description":"LLM session created successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LLMSession"}}}},"400":{"description":"Missing required fields, invalid configuration, or session limit reached","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"402":{"description":"Session limit reached","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Package or LLM API not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## GET /api/v2/strategy/llm-session/total

> Get the total number of LLM sessions

```json
{"openapi":"3.0.0","info":{"title":"Sigrex API","version":"2.1.0"},"tags":[{"name":"llm-session"}],"servers":[{"url":"https://api.sigrex.io"}],"security":[{"ApiKey":[],"Signature":[],"Timestamp":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"api-key","description":"Your public API key"}}},"paths":{"/api/v2/strategy/llm-session/total":{"get":{"summary":"Get the total number of LLM sessions","tags":["llm-session"],"responses":{"200":{"description":"Number of LLM Sessions","content":{"application/json":{"schema":{"type":"object","properties":{"total":{"type":"number"}}}}}}}}}}}
```

## GET /api/v2/strategy/llm-session/{id}

> Get LLM session by ID

```json
{"openapi":"3.0.0","info":{"title":"Sigrex API","version":"2.1.0"},"tags":[{"name":"llm-session"}],"servers":[{"url":"https://api.sigrex.io"}],"security":[{"ApiKey":[],"Signature":[],"Timestamp":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"api-key","description":"Your public API key"}},"schemas":{"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/api/v2/strategy/llm-session/{id}":{"get":{"summary":"Get LLM session by ID","tags":["llm-session"],"parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"LLM session details","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LLMSession"}}}},"400":{"description":"Missing id","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Session not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## PUT /api/v2/strategy/llm-session/{id}

> Update LLM session

```json
{"openapi":"3.0.0","info":{"title":"Sigrex API","version":"2.1.0"},"tags":[{"name":"llm-session"}],"servers":[{"url":"https://api.sigrex.io"}],"security":[{"ApiKey":[],"Signature":[],"Timestamp":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"api-key","description":"Your public API key"}},"schemas":{"UpdateLLMSessionRequest":{"type":"object","required":["llm_api_id","cron_interval","prompt"],"properties":{"name":{"type":"string","description":"The name of the strategy max 255 characters"},"folder_id":{"type":"number","description":"The folder id of the strategy"},"llm_api_id":{"type":"number","description":"The main LLM Api key id used for the strategy"},"fallback_api_id":{"type":"number","description":"The fallback LLM Api key id used for the strategy if main is not available"},"cron_interval":{"type":"string","description":"The schedule interval of the strategy","enum":["3M","5M","15M","30M","1H","2H","4H","8H","12H","1D"]},"use_chart":{"type":"boolean","description":"Set true if you want to send chart image with the strategy prompt"},"chart_symbol":{"type":"string","description":"The Tradingview symbol of the chart (required if use_chart is true)"},"chart_interval":{"type":"string","description":"The interval of the chart (required if use_chart is true)","enum":["1","3","5","15","30","60","120","240","D"]},"chart_studies":{"type":"array","description":"The studies of the chart (optional if use_chart is true)","maxItems":2,"items":{"type":"string","enum":["ACCD@tv-basicstudies","studyADR@tv-basicstudies","AROON@tv-basicstudies","ATR@tv-basicstudies","AwesomeOscillator@tv-basicstudies","BB@tv-basicstudies","BollingerBandsR@tv-basicstudies","BollingerBandsWidth@tv-basicstudies","CMF@tv-basicstudies","ChaikinOscillator@tv-basicstudies","chandeMO@tv-basicstudies","ChoppinessIndex@tv-basicstudies","CCI@tv-basicstudies","CRSI@tv-basicstudies","CorrelationCoefficient@tv-basicstudies","DetrendedPriceOscillator@tv-basicstudies","DM@tv-basicstudies","DONCH@tv-basicstudies","DoubleEMA@tv-basicstudies","EaseOfMovement@tv-basicstudies","EFI@tv-basicstudies","ENV@tv-basicstudies","FisherTransform@tv-basicstudies","HV@tv-basicstudies","hullMA@tv-basicstudies","IchimokuCloud@tv-basicstudies","KLTNR@tv-basicstudies","KST@tv-basicstudies","LinearRegression@tv-basicstudies","MACD@tv-basicstudies","MOM@tv-basicstudies","MF@tv-basicstudies","MoonPhases@tv-basicstudies","MASimple@tv-basicstudies","MAExp@tv-basicstudies","MAWeighted@tv-basicstudies","OBV@tv-basicstudies","PSAR@tv-basicstudies","PivotPointsHighLow@tv-basicstudies","PivotPointsStandard@tv-basicstudies","PriceOsc@tv-basicstudies","PriceVolumeTrend@tv-basicstudies","ROC@tv-basicstudies","RSI@tv-basicstudies","VigorIndex@tv-basicstudies","VolatilityIndex@tv-basicstudies","SMIErgodicIndicator@tv-basicstudies","SMIErgodicOscillator@tv-basicstudies","Stochastic@tv-basicstudies","StochasticRSI@tv-basicstudies","TripleEMA@tv-basicstudies","Trix@tv-basicstudies","UltimateOsc@tv-basicstudies","VSTOP@tv-basicstudies","Volume@tv-basicstudies","VWAP@tv-basicstudies","MAVolumeWeighted@tv-basicstudies","WilliamR@tv-basicstudies","WilliamsAlligator@tv-basicstudies","WilliamsFractal@tv-basicstudies","ZigZag@tv-basicstudies"]}},"chart_data_range":{"type":"string","description":"The data range of the chart (optional if use_chart is true)","enum":["1D","5D","1M","3M","6M","YTD","12M","60M","ALL"]},"prompt":{"type":"string","description":"The strategy prompt minimum length is 20 characters maximum length is 1000000000 characters"},"send_signal":{"type":"boolean","description":"Set true to send signal to bot hook"},"webhook_id":{"type":"number","description":"The id of the bot hook where signal will be sent (required if send_signal is true)"},"signal_symbol":{"type":"string","description":"The signal symbol or symbols of the strategy separated by comma"},"send_email":{"type":"boolean","description":"Set true to send the LLM response to the user email"}}},"SuccessResponse":{"type":"object","properties":{"message":{"type":"string"}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/api/v2/strategy/llm-session/{id}":{"put":{"summary":"Update LLM session","tags":["llm-session"],"parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateLLMSessionRequest"}}}},"responses":{"200":{"description":"LLM session updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}},"400":{"description":"Missing id, invalid configuration, or validation errors","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Session, webhook, or LLM API not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## DELETE /api/v2/strategy/llm-session/{id}

> Delete LLM session

```json
{"openapi":"3.0.0","info":{"title":"Sigrex API","version":"2.1.0"},"tags":[{"name":"llm-session"}],"servers":[{"url":"https://api.sigrex.io"}],"security":[{"ApiKey":[],"Signature":[],"Timestamp":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"api-key","description":"Your public API key"}},"schemas":{"SuccessResponse":{"type":"object","properties":{"message":{"type":"string"}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/api/v2/strategy/llm-session/{id}":{"delete":{"summary":"Delete LLM session","tags":["llm-session"],"parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"LLM session deleted successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}},"400":{"description":"Missing id","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Session not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## POST /api/v2/strategy/llm-session/duplicate

> Duplicate an LLM session

```json
{"openapi":"3.0.0","info":{"title":"Sigrex API","version":"2.1.0"},"tags":[{"name":"llm-session"}],"servers":[{"url":"https://api.sigrex.io"}],"security":[{"ApiKey":[],"Signature":[],"Timestamp":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"api-key","description":"Your public API key"}},"schemas":{"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/api/v2/strategy/llm-session/duplicate":{"post":{"summary":"Duplicate an LLM session","tags":["llm-session"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["id"],"properties":{"id":{"type":"string","description":"Session ID to duplicate"}}}}}},"responses":{"201":{"description":"LLM session duplicated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LLMSession"}}}},"400":{"description":"Missing id or session limit reached","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## PUT /api/v2/strategy/llm-session/{id}/reset

> Reset LLM session triggers, history or responses

```json
{"openapi":"3.0.0","info":{"title":"Sigrex API","version":"2.1.0"},"tags":[{"name":"llm-session"}],"servers":[{"url":"https://api.sigrex.io"}],"security":[{"ApiKey":[],"Signature":[],"Timestamp":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"api-key","description":"Your public API key"}},"schemas":{"ResetLLMTriggersRequest":{"type":"object","required":["resetTriggers","resetStorage","resetResponse"],"properties":{"resetTriggers":{"type":"boolean","description":"Set true to reset triggers"},"resetStorage":{"type":"boolean","description":"Set true to reset storage"},"resetResponse":{"type":"boolean","description":"Set true to reset response history"}}},"SuccessResponse":{"type":"object","properties":{"message":{"type":"string"}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/api/v2/strategy/llm-session/{id}/reset":{"put":{"summary":"Reset LLM session triggers, history or responses","tags":["llm-session"],"parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResetLLMTriggersRequest"}}}},"responses":{"200":{"description":"Triggers and/or history reset successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}},"400":{"description":"Missing id, invalid options, or nothing to reset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Session not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## PUT /api/v2/strategy/llm-session/{id}/status

> Update LLM session status

```json
{"openapi":"3.0.0","info":{"title":"Sigrex API","version":"2.1.0"},"tags":[{"name":"llm-session"}],"servers":[{"url":"https://api.sigrex.io"}],"security":[{"ApiKey":[],"Signature":[],"Timestamp":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"api-key","description":"Your public API key"}},"schemas":{"UpdateStatusRequest":{"type":"object","required":["status"],"properties":{"status":{"type":"string","enum":["ACTIVE","INACTIVE"]}}},"SuccessResponse":{"type":"object","properties":{"message":{"type":"string"}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/api/v2/strategy/llm-session/{id}/status":{"put":{"summary":"Update LLM session status","tags":["llm-session"],"parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateStatusRequest"}}}},"responses":{"200":{"description":"Status updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}},"400":{"description":"Missing id, invalid status, or session limit reached","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"402":{"description":"Active session limit reached","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Session not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## PUT /api/v2/strategy/llm-session/{id}/public

> Update LLM session public visibility

```json
{"openapi":"3.0.0","info":{"title":"Sigrex API","version":"2.1.0"},"tags":[{"name":"llm-session"}],"servers":[{"url":"https://api.sigrex.io"}],"security":[{"ApiKey":[],"Signature":[],"Timestamp":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"api-key","description":"Your public API key"}},"schemas":{"UpdatePublicRequest":{"type":"object","required":["isPublic"],"properties":{"isPublic":{"type":"boolean","description":"Set true to make the strategy public"}}},"SuccessResponse":{"type":"object","properties":{"message":{"type":"string"}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/api/v2/strategy/llm-session/{id}/public":{"put":{"summary":"Update LLM session public visibility","tags":["llm-session"],"parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdatePublicRequest"}}}},"responses":{"200":{"description":"Public visibility updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}},"400":{"description":"Missing id or invalid public flag","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Session not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## GET /api/v2/strategy/llm-session/folder

> Get all LLM session folders

```json
{"openapi":"3.0.0","info":{"title":"Sigrex API","version":"2.1.0"},"tags":[{"name":"llm-session"}],"servers":[{"url":"https://api.sigrex.io"}],"security":[{"ApiKey":[],"Signature":[],"Timestamp":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"api-key","description":"Your public API key"}},"schemas":{}},"paths":{"/api/v2/strategy/llm-session/folder":{"get":{"summary":"Get all LLM session folders","tags":["llm-session"],"responses":{"200":{"description":"List of user's LLM session folders","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/LLMSessionFolder"}}}}}}}}}}
```

## POST /api/v2/strategy/llm-session/folder

> Create a new LLM session folder

```json
{"openapi":"3.0.0","info":{"title":"Sigrex API","version":"2.1.0"},"tags":[{"name":"llm-session"}],"servers":[{"url":"https://api.sigrex.io"}],"security":[{"ApiKey":[],"Signature":[],"Timestamp":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"api-key","description":"Your public API key"}},"schemas":{}},"paths":{"/api/v2/strategy/llm-session/folder":{"post":{"summary":"Create a new LLM session folder","tags":["llm-session"],"requestBody":{"required":false,"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","description":"Folder name (optional, auto-generated if not provided)"}}}}}},"responses":{"201":{"description":"Folder created successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LLMSessionFolder"}}}},"400":{"description":"Invalid name or max folder limit reached"}}}}}}
```

## GET /api/v2/strategy/llm-session/folder/root

> Get LLM Sessions from root folder

```json
{"openapi":"3.0.0","info":{"title":"Sigrex API","version":"2.1.0"},"tags":[{"name":"llm-session"}],"servers":[{"url":"https://api.sigrex.io"}],"security":[{"ApiKey":[],"Signature":[],"Timestamp":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"api-key","description":"Your public API key"}},"schemas":{}},"paths":{"/api/v2/strategy/llm-session/folder/root":{"get":{"summary":"Get LLM Sessions from root folder","tags":["llm-session"],"responses":{"200":{"description":"List","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/LLMSession"}}}}}}}}}}
```

## GET /api/v2/strategy/llm-session/folder/{id}

> Get LLM session folder by ID

```json
{"openapi":"3.0.0","info":{"title":"Sigrex API","version":"2.1.0"},"tags":[{"name":"llm-session"}],"servers":[{"url":"https://api.sigrex.io"}],"security":[{"ApiKey":[],"Signature":[],"Timestamp":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"api-key","description":"Your public API key"}},"schemas":{}},"paths":{"/api/v2/strategy/llm-session/folder/{id}":{"get":{"summary":"Get LLM session folder by ID","tags":["llm-session"],"parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"},"description":"Folder ID"}],"responses":{"200":{"description":"Folder with its items","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LLMSessionFolder"}}}},"400":{"description":"Missing id"},"404":{"description":"Folder not found"}}}}}}
```

## PUT /api/v2/strategy/llm-session/folder/{id}

> Update LLM session folder

```json
{"openapi":"3.0.0","info":{"title":"Sigrex API","version":"2.1.0"},"tags":[{"name":"llm-session"}],"servers":[{"url":"https://api.sigrex.io"}],"security":[{"ApiKey":[],"Signature":[],"Timestamp":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"api-key","description":"Your public API key"}}},"paths":{"/api/v2/strategy/llm-session/folder/{id}":{"put":{"summary":"Update LLM session folder","tags":["llm-session"],"parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"},"description":"Folder ID"}],"requestBody":{"required":false,"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","description":"New folder name (optional, auto-generated if not provided)"}}}}}},"responses":{"200":{"description":"Folder updated successfully","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"}}}}}},"400":{"description":"Missing id, invalid name, or folder not found"},"404":{"description":"Folder not found"}}}}}}
```

## DELETE /api/v2/strategy/llm-session/folder/{id}

> Delete LLM session folder

```json
{"openapi":"3.0.0","info":{"title":"Sigrex API","version":"2.1.0"},"tags":[{"name":"llm-session"}],"servers":[{"url":"https://api.sigrex.io"}],"security":[{"ApiKey":[],"Signature":[],"Timestamp":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"api-key","description":"Your public API key"}}},"paths":{"/api/v2/strategy/llm-session/folder/{id}":{"delete":{"summary":"Delete LLM session folder","tags":["llm-session"],"parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"},"description":"Folder ID"}],"responses":{"200":{"description":"Folder deleted successfully","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"}}}}}},"400":{"description":"Missing id, folder not found, or folder is not empty"},"404":{"description":"Folder not found"}}}}}}
```

## GET /api/v2/strategy/reaction/llm/total

> Get the total number of LLM Reaction

```json
{"openapi":"3.0.0","info":{"title":"Sigrex API","version":"2.1.0"},"tags":[{"name":"llm-session"}],"servers":[{"url":"https://api.sigrex.io"}],"security":[{"ApiKey":[],"Signature":[],"Timestamp":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"api-key","description":"Your public API key"}}},"paths":{"/api/v2/strategy/reaction/llm/total":{"get":{"summary":"Get the total number of LLM Reaction","tags":["llm-session"],"responses":{"200":{"description":"Number of LLM Reactions","content":{"application/json":{"schema":{"type":"object","properties":{"total":{"type":"number"}}}}}}}}}}}
```

## GET /api/v2/strategy/reaction/code/total

> Get the total number of Code Reactions

```json
{"openapi":"3.0.0","info":{"title":"Sigrex API","version":"2.1.0"},"tags":[{"name":"llm-session"}],"servers":[{"url":"https://api.sigrex.io"}],"security":[{"ApiKey":[],"Signature":[],"Timestamp":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"api-key","description":"Your public API key"}}},"paths":{"/api/v2/strategy/reaction/code/total":{"get":{"summary":"Get the total number of Code Reactions","tags":["llm-session"],"responses":{"200":{"description":"Number of Code Reactions","content":{"application/json":{"schema":{"type":"object","properties":{"total":{"type":"number"}}}}}}}}}}}
```

## GET /api/v2/strategy/code/total

> Get the total number of Code Strategies

```json
{"openapi":"3.0.0","info":{"title":"Sigrex API","version":"2.1.0"},"tags":[{"name":"llm-session"}],"servers":[{"url":"https://api.sigrex.io"}],"security":[{"ApiKey":[],"Signature":[],"Timestamp":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"api-key","description":"Your public API key"}}},"paths":{"/api/v2/strategy/code/total":{"get":{"summary":"Get the total number of Code Strategies","tags":["llm-session"],"responses":{"200":{"description":"Number of Code Strategies","content":{"application/json":{"schema":{"type":"object","properties":{"total":{"type":"number"}}}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sigrex.io/api-reference/reference/strategies/llm-sessions.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
